Bug 1468289 - HW offload support for set actions
HW offload support for set actions
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: openvswitch (Show other bugs)
7.5
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Flavio Leitner
ovs-qe@redhat.com
:
Depends On:
Blocks: 1477926
  Show dependency treegraph
 
Reported: 2017-07-06 11:06 EDT by Simon Horman
Modified: 2017-08-08 08:43 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Simon Horman 2017-07-06 11:06:50 EDT
Preface:

The intention of this bug is to provide insight into a feature proposed by Netronome for inclusion in RHEL7.5.

Description:

Working is underway to add support for Open vSwitch to program flows into the kernel and hardware using TC-Flower. This is a mechanism to allow acceleration of OvS using hardware such as Netronome SmartNICs.

The scope of this Bugzilla is to add set-action support to TC-based offload of Open vSwitch.

Status:

Under development. The plan is to post these for inclusion in the upstream kernel in the v2.9 development cycle. I intend to provide an update here once patches are available or merged.
Comment 2 Anita Tragler 2017-07-27 03:00:17 EDT
The plan is to update Fast datapath channnel to OVS 2.9 with RHEL 7.5. 
RHOSP 13 will consume OVS from Fast datapath channel

Note You need to log in before you can comment on or make changes to this bug.